Loading...
Searching...
No Matches
Opm::Parameters::EnableIntensiveQuantityCache Struct Reference

Specify whether all intensive quantities for the grid should be cached in the discretization. More...

`#include <fvbaseparameters.hh>`

## Static Public Attributes

static constexpr bool | value = false

## Detailed Description

Specify whether all intensive quantities for the grid should be cached in the discretization.

This potentially reduces the CPU time, but comes at the cost of higher memory consumption. In turn, the higher memory requirements may cause the simulation to exhibit worse cache coherence behavior which eats some of the computational benefits again.

The documentation for this struct was generated from the following file:

- opm/models/discretization/common/fvbaseparameters.hh